Show / Hide Table of Contents

Class ManualApprovalStepProps

Construction properties for a ManualApprovalStep.

Inheritance
object
ManualApprovalStepProps
Implements
IManualApprovalStepProps
Inherited Members
object.GetType()
object.MemberwiseClone()
object.ToString()
object.Equals(object)
object.Equals(object, object)
object.ReferenceEquals(object, object)
object.GetHashCode()
Namespace: Amazon.CDK.Pipelines
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public class ManualApprovalStepProps : IManualApprovalStepProps
Syntax (vb)
Public Class ManualApprovalStepProps Implements IManualApprovalStepProps
Remarks

ExampleMetadata: infused

Examples
CodePipeline pipeline;

            var preprod = new MyApplicationStage(this, "PreProd");
            var prod = new MyApplicationStage(this, "Prod");
            var topic = new Topic(this, "ChangeApprovalTopic");

            pipeline.AddStage(preprod, new AddStageOpts {
                Post = new [] {
                    new ShellStep("Validate Endpoint", new ShellStepProps {
                        Commands = new [] { "curl -Ssf https://my.webservice.com/" }
                    }) }
            });
            pipeline.AddStage(prod, new AddStageOpts {
                Pre = new [] { new ManualApprovalStep("PromoteToProd", new ManualApprovalStepProps {
                    //All options below are optional
                    Comment = "Please validate changes",
                    ReviewUrl = "https://my.webservice.com/",
                    NotificationTopic = topic
                }) }
            });

Synopsis

Constructors

ManualApprovalStepProps()

Construction properties for a ManualApprovalStep.

Properties

Comment

The comment to display with this manual approval.

NotificationTopic

Optional SNS topic to send notifications to when an approval is pending.

ReviewUrl

The URL for review associated with this manual approval.

Constructors

ManualApprovalStepProps()

Construction properties for a ManualApprovalStep.

public ManualApprovalStepProps()
Remarks

ExampleMetadata: infused

Examples
CodePipeline pipeline;

            var preprod = new MyApplicationStage(this, "PreProd");
            var prod = new MyApplicationStage(this, "Prod");
            var topic = new Topic(this, "ChangeApprovalTopic");

            pipeline.AddStage(preprod, new AddStageOpts {
                Post = new [] {
                    new ShellStep("Validate Endpoint", new ShellStepProps {
                        Commands = new [] { "curl -Ssf https://my.webservice.com/" }
                    }) }
            });
            pipeline.AddStage(prod, new AddStageOpts {
                Pre = new [] { new ManualApprovalStep("PromoteToProd", new ManualApprovalStepProps {
                    //All options below are optional
                    Comment = "Please validate changes",
                    ReviewUrl = "https://my.webservice.com/",
                    NotificationTopic = topic
                }) }
            });

Properties

Comment

The comment to display with this manual approval.

public string? Comment { get; set; }
Property Value

string

Remarks

Default: - No comment

NotificationTopic

Optional SNS topic to send notifications to when an approval is pending.

public ITopic? NotificationTopic { get; set; }
Property Value

ITopic

Remarks

Default: - No notifications

ReviewUrl

The URL for review associated with this manual approval.

public string? ReviewUrl { get; set; }
Property Value

string

Remarks

Default: - No URL

Implements

IManualApprovalStepProps
Back to top Generated by DocFX